lkml.org 
[lkml]   [2020]   [Jan]   [3]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH v3 2/3] dt-bindings: display: Add Satoz panel
On Tue, Dec 24, 2019 at 03:19:04PM +0100, Miquel Raynal wrote:
> Satoz is a Chinese TFT manufacturer.
> Website: http://www.sat-sz.com/English/index.html
>
> Add (simple) bindings for its SAT050AT40H12R2 5.0 inch LCD panel.
>
> Signed-off-by: Miquel Raynal <miquel.raynal@bootlin.com>
> ---
>
> Changes since v2:
> * None.
>
> Changes since v1:
> * New patch
>
> .../display/panel/satoz,sat050at40h12r2.yaml | 27 +++++++++++++++++++
> 1 file changed, 27 insertions(+)
> create mode 100644 Documentation/devicetree/bindings/display/panel/satoz,sat050at40h12r2.yaml

Note that this may become obsolete if we move all simple panels to a
single schema.

>
> diff --git a/Documentation/devicetree/bindings/display/panel/satoz,sat050at40h12r2.yaml b/Documentation/devicetree/bindings/display/panel/satoz,sat050at40h12r2.yaml
> new file mode 100644
> index 000000000000..567b32a544f3
> --- /dev/null
> +++ b/Documentation/devicetree/bindings/display/panel/satoz,sat050at40h12r2.yaml
> @@ -0,0 +1,27 @@
> +# SPDX-License-Identifier: GPL-2.0
> +%YAML 1.2
> +---
> +$id: http://devicetree.org/schemas/display/panel/satoz,sat050at40h12r2#

Missing '.yaml'

Run 'make dt_binding_check' which will check this and other things.

> +$schema: http://devicetree.org/meta-schemas/core.yaml#
> +
> +title: Satoz SAT050AT40H12R2 panel
> +
> +maintainers:
> + - Thierry Reding <thierry.reding@gmail.com>
> +
> +description: |+
> + LCD 5.0 inch 800x480 RGB panel.

Any public spec for this panel?

> +
> + This binding is compatible with the simple-panel binding, which is specified
> + in simple-panel.txt in this directory.
> +
> +allOf:
> + - $ref: panel-common.yaml#
> +
> +properties:
> + compatible:
> + contains:

Drop 'contains'. It must be exactly the below string, not the below
string and *any* other strings.

> + const: satoz,sat050at40h12r2
> +
> +required:
> + - compatible
> --
> 2.20.1
>

\
 
 \ /
  Last update: 2020-01-04 01:10    [W:0.287 / U:0.008 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site